<!-- templates/about.html -->
{% extends 'base.html' %}

{% block title_suffix %} Software & Information Technology Solutions{% endblock title_suffix %}

{% block content %}

<div class="col-12 mb-2">
  <div>
    <h1 class="text-center">About</h1>
    <hr>
    {% comment %} <img src="static/images/services_consultant.jpeg" alt="motivational computer image" class="float-md-right my-margin-centered-fitted-img mb-sm-2 ml-md-5" /> {% endcomment %}
    <h3>Uptime Pros</h3>
    <p>We're the Information Technology generalists that can understand and elevate your infrastructure rapidly all while making "consultant" become a friendlier word. Let's talk about a few of those common problems you might be experiencing.</p>
    <p>Technical debt can hide in outdated policies, practices, resources, or available talent. If you're only looking at the hardware or software it will remain hidden eating away at the organization's bottom line. We've got what it takes to not only create technical solutions but also consult on the business aptitude of a technology department. Our experience and success in identifying these pressure points was a main driver for creating Uptime Pros.</p>
    <p>Consulting companies have a negative association of creating their job security by evolving parasitic relationships with their trusting business partners instead of simply demonstrating their value. Uptime Pros cares to shatter that expectation by focusing on project deliverables up front that are easy to hand back to our business partners. We don't keep secrets. Our blogs and source code speak for themselves (and that's just what we do for fun).</p>
    <p>There is no problem out of reach. We don't fear a creative approach. Being intimate with the technology landscape allows us to forecast risk and potential technical debt levels for more novel solutions. Understanding data integrity, supportability, and dependability are just some of the key considerations. Creating a tailored solution when one doesn't exist is a concern we can be trusted with.</p>
    <p>Improving technical fitness and providing deeper insights is our passion.</p>
    <hr>
    <img src="static/images/selfie.jpg" alt="selfie of the founder, Josh Dix" class="float-md-right my-margin-centered-fitted-img mb-sm-2 ml-md-5" />
    <h3>Founder and CEO Josh Dix</h3>
    <p>Since the 8th grade technology and computer science were my passion. Often putting more thought and care for the big picture, with the companies best interest in mind, did not lead to increased reward or recognition. There was no slowing down and it wasn't fair letting it go unappreciated. This was the inspiring realization for starting Uptime Pros. Finally something to put my eager energy to use!</p>
    <p>An IT Consultancy and Software Development company isn't exactly a fresh concept. I may have borrowed the idea from my protégé to be honest. UptimePros will instead counter the norm by being open with process, code, and practice so anyone can comfortably review and question reasoning. That's how confident I am that we will make a superior product and experience.</p>
    <p>Since the start of my career it has been getting in the car or on a plane and going straight to the client. The change in a clients mood from grim to satisfied is something I'll never get enough of!</p>
    <hr>
    </ul>
    <h4>Proficiencies</h4>
    <ul>
      <li><h5>Linux & Windows</h5>Using the operating system's built in features and packages is a common fast lane for software development. Knowing which features to leverage, extend, or avoid we can help guide the best use of these systems.</li>
      <li><h5>Deployment and Configuration Automation Engines</h5>A mature wisdom in the subject leveraging industry leading platforms as Ansible, Terraform, SaltStack, and many more. <a href="https://gitlab.com/jdix/deploy_www_uptimepros" target="_blank">This website's deployment</a>, for example, features an Ansible deployment on Digital Ocean leveraging nginx, gunicorn, and postgresql.</li>
      <li><h5>CI / CD DevOps Principles</h5>Your developers are expensive so don't let them waste their time using manual or tedious deployment methodologies. We can ensure your development stack moves as fast as your developers can write code using automated builds, deployments, advanced artifactories, containers, and any other tools which suite their software stack.</li>
      <li><h5>Monitoring and Alerting</h5>Does you NOC have visibility into state, performance, and log monitoring of your servers, networks, and applications? Are the alerts appropriate and timely? If not, we can help.</li>
      <li><h5>Infrastructure</h5>Is your ops or developer teams bogged down with tedius tasks? Regularly modifying server size, taking backups, creating certificates or network rules can cripple teams relying on infrastructre. A lean ops team can focus on providing developers and platform engineerings feedback. A motivated ops team can help improve antiquated business processes and identify further automation targets. A developer unhindered and able to build their code is always a happy developer.</li>
      <li><h5>Public Cloud</h5>AWS, Azure, and Digital Ocean services leveraged with customized software, automation engines (Ansible, Terraform, etc), or native CLI/API enable your business to grow as needed. Work smart with Operating Expenditures that fit your size for any given hour of the day instead of renting expensive datacenter space 24/7. We can help ensuring your team can operate, scale, and grow with these new public offerings.</li>
      <li><h5>Web Development</h5>With a thorough background of enterprise web deployments we can delve into any framework for web development at scale. <a href="https://gitlab.com/jdix/www_uptimepros" target="_blank">This website</a>, for example, we completed in the Django Python web Framework and Bootstrap CSS/JS.</li>
      <li><h5>Network Engineering</h5>Edge UTM, switch stacks, load balancers, cloud, and more. If your business is having trouble adjusting its network to meet evolving needs we can help design a scalable solution.</li>
      <li><h5>Agile Frameworks</h5>Able to work-within and coach-for agile frameworks and principles with a strong understanding of KanBan and SCRUM methodology.</li>
      <li><h5>Many Others</h5>This list is just for inspiration and notes of direct experience. Discovering and implementing the unique requirements of a business to help them realize their next steps of practical IT infrastructure is our specialty. Mastering a new platform, coding framework, or getting involved with untangling existing spaghetti infrastructure for a client's unique needs is the real mastery we carry.</li>
  </div>
</div>

{% endblock content %}